## python-os-service-types 1.8.0

=== requirements.txt ===
pbr!=2.1.0,>=2.0.0 # Apache-2.0

## python-os-service-types 1.1.0

=== debian/changelog ===
python-os-service-types (1.1.0-0ubuntu2) bionic; urgency=medium

  * debian/copyright: Mention all copyright holders.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Nov 2017 22:55:17 +0100

python-os-service-types (1.1.0-0ubuntu1) bionic; urgency=low

  * Initial version.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Nov 2017 14:52:01 +0000

=== debian/control ===
Source: python-os-service-types
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all (>= 2.6.6-3),
               python-pbr,
               python-setuptools (>= 0.6b3),
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-fixtures,
                     python-oslotest (>= 1.10.0),
                     python-requests-mock,
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python3-fixtures,
                     python3-oslotest (>= 1.10.0),
                     python3-requests-mock,
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
Standards-Version: 3.9.8
Homepage: http://www.openstack.org/
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-service-types
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-service-types
Testsuite: autopkgtest-pkg-python

Package: python-os-service-types
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: Python library for consuming OpenStack sevice-types-authority data
 The OpenStack Service Types Authority contains information about
 official OpenStack services and their historical service-type aliases.
 .
 The data is in JSON and the latest data should always be used.
 This simple library exists to allow for easy consumption of the data,
 along with a built-in version of the data to use in case network
 access is for some reason not possible and local caching of the
 fetched data.
 .
 This package provides the Python 2 module.

Package: python3-os-service-types
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Python library for consuming OpenStack sevice-types-authority data
 The OpenStack Service Types Authority contains information about
 official OpenStack services and their historical service-type aliases.
 .
 The data is in JSON and the latest data should always be used.
 This simple library exists to allow for easy consumption of the data,
 along with a built-in version of the data to use in case network
 access is for some reason not possible and local caching of the
 fetched data.
 .
 This package provides the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=os-service-types

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/os-service-types/os-service-types-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-os-service-types 1.3.0

=== debian/changelog ===
python-os-service-types (1.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 15:40:18 +0200

python-os-service-types (1.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 21:01:32 +0200

python-os-service-types (1.1.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:56:33 +0000

python-os-service-types (1.1.0-2) unstable; urgency=medium

  * Add missing-files.patch (json files were not installed).

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Feb 2018 21:24:02 +0000

python-os-service-types (1.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #890273)

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Feb 2018 21:12:22 +0100

=== debian/control ===
Source: python-os-service-types
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python-coverage,
 python-keystoneauth1 (>= 3.4.0),
 python-openstackdocstheme (>= 1.16.0),
 python-oslotest (>= 1:3.2.0),
 python-requests-mock (>= 1.2.0),
 python-stestr (>= 2.0.0),
 python-testscenarios,
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslotest (>= 1:3.2.0),
 python3-requests-mock (>= 1.2.0),
 python3-stestr (>= 2.0.0),
 python3-testscenarios,
 subunit (>= 1.0.0),
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-service-types
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-service-types.git
Homepage: http://www.openstack.org/

Package: python-os-service-types
Architecture: all
Depends:
 python-pbr,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-os-service-types-doc,
Description: lib for consuming OpenStack sevice-types-authority data - Python 2.7
 This package provides a Python library for consuming OpenStack
 sevice-types-authority data
 .
 The OpenStack Service Types Authority contains information about official
 OpenStack services and their historical service-type aliases.
 .
 The data is in JSON and the latest data should always be used. This simple
 library exists to allow for easy consumption of the data, along with a
 built-in version of the data to use in case network access is for some reason
 not possible and local caching of the fetched data.
 .
 This package contains the Python 2.7 module.

Package: python-os-service-types-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: lib for consuming OpenStack sevice-types-authority data - doc
 This package provides a Python library for consuming OpenStack
 sevice-types-authority data
 .
 The OpenStack Service Types Authority contains information about official
 OpenStack services and their historical service-type aliases.
 .
 The data is in JSON and the latest data should always be used. This simple
 library exists to allow for easy consumption of the data, along with a
 built-in version of the data to use in case network access is for some reason
 not possible and local caching of the fetched data.
 .
 This package contains the documentation.

Package: python3-os-service-types
Architecture: all
Depends:
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-service-types-doc,
Description: lib for consuming OpenStack sevice-types-authority data - Python 3.x
 This package provides a Python library for consuming OpenStack
 sevice-types-authority data
 .
 The OpenStack Service Types Authority contains information about official
 OpenStack services and their historical service-type aliases.
 .
 The data is in JSON and the latest data should always be used. This simple
 library exists to allow for easy consumption of the data, along with a
 built-in version of the data to use in case network access is for some reason
 not possible and local caching of the fetched data.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-service-types.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-os-service-types-doc/usr/share/doc/python-os-service-types-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-os-service-types 1.6.0

=== debian/changelog ===
python-os-service-types (1.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 21:59:35 +0200

python-os-service-types (1.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 16:39:18 +0100

=== debian/control ===
--- 
+++ 
@@ -8,54 +8,23 @@
  debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr,
- python-setuptools,
- python-sphinx (>= 1.6.2),
  python3-all,
  python3-pbr,
  python3-setuptools,
+ python3-sphinx,
 Build-Depends-Indep:
- python-coverage,
- python-keystoneauth1 (>= 3.4.0),
- python-openstackdocstheme (>= 1.16.0),
- python-oslotest (>= 1:3.2.0),
- python-requests-mock (>= 1.2.0),
- python-stestr (>= 2.0.0),
- python-testscenarios,
- python3-keystoneauth1 (>= 3.4.0),
- python3-openstackdocstheme (>= 1.18.1),
- python3-oslotest (>= 1:3.2.0),
- python3-requests-mock (>= 1.2.0),
- python3-stestr (>= 2.0.0),
+ python3-coverage,
+ python3-keystoneauth1,
+ python3-openstackdocstheme,
+ python3-oslotest,
+ python3-requests-mock,
+ python3-stestr,
  python3-testscenarios,
- subunit (>= 1.0.0),
-Standards-Version: 4.1.3
+ subunit,
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-service-types
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-service-types.git
 Homepage: http://www.openstack.org/
-
-Package: python-os-service-types
-Architecture: all
-Depends:
- python-pbr,
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-os-service-types-doc,
-Description: lib for consuming OpenStack sevice-types-authority data - Python 2.7
- This package provides a Python library for consuming OpenStack
- sevice-types-authority data
- .
- The OpenStack Service Types Authority contains information about official
- OpenStack services and their historical service-type aliases.
- .
- The data is in JSON and the latest data should always be used. This simple
- library exists to allow for easy consumption of the data, along with a
- built-in version of the data to use in case network access is for some reason
- not possible and local caching of the fetched data.
- .
- This package contains the Python 2.7 module.
 
 Package: python-os-service-types-doc
 Section: doc

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-service-types.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-os-service-types-doc/usr/share/doc/python-os-service-types-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-os-service-types 1.7.0

=== debian/changelog ===
python-os-service-types (1.7.0-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

  [ James Page ]
  * d/control,rules: Drop Python 2 support.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 17 Jul 2019 09:17:19 +0100

python-os-service-types (1.6.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Mar 2019 09:40:06 +0000

python-os-service-types (1.3.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Aug 2018 16:19:23 -0400

python-os-service-types (1.2.0-0ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Build using pybuild.
    - d/gbp.conf: Retain for pristine-tar.
    - d/p/missing-files.patch: Dropped. Not needed with pristine-tar.
    - d/copyright: Retain Canonical copyright for debian/*.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.4.
  * d/rules: Add sphinxdoc debhelper addon.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 May 2018 11:49:43 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-os-service-types
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -9,22 +10,26 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python3-coverage,
- python3-keystoneauth1,
- python3-openstackdocstheme,
- python3-oslotest,
- python3-requests-mock,
- python3-stestr,
- python3-testscenarios,
- subunit,
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-service-types
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-service-types.git
+ python3-coverage (>= 4.0),
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-hacking (>= 1.1.0),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-oslotest (>= 1:3.2.0),
+ python3-reno (>= 2.5.0),
+ python3-requests-mock (>= 1.2.0),
+ python3-six (>= 1.10.0),
+ python3-stestr (>= 2.0.0),
+ python3-testscenarios (>= 0.4),
+ python3-subunit (>= 1.0.0),
+Standards-Version: 4.1.4
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-service-types
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-service-types
 Homepage: http://www.openstack.org/
+Testsuite: autopkgtest-pkg-python
 
 Package: python-os-service-types-doc
 Section: doc
@@ -49,7 +54,7 @@
 Package: python3-os-service-types
 Architecture: all
 Depends:
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=os-service-types
export PYBUILD_DISABLE_python2=1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-os-service-types-doc/usr/share/doc/python-os-service-types-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-os-service-types 1.8.0

=== debian/changelog ===
python-os-service-types (1.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 18:24:08 +0200

python-os-service-types (1.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 11:58:08 +0200

python-os-service-types (1.7.0-5) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090557).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:22:32 +0100

python-os-service-types (1.7.0-4) unstable; urgency=medium

  * Add missing python3-six (build-)depends (Closes: #1086376).

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Oct 2024 13:38:12 +0100

python-os-service-types (1.7.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045618).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 15:38:42 +0200

python-os-service-types (1.7.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 20 Oct 2019 00:52:26 +0200

python-os-service-types (1.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 23:26:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,30 @@
 Source: python-os-service-types
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx,
 Build-Depends-Indep:
- python3-coverage (>= 4.0),
- python3-keystoneauth1 (>= 3.4.0),
- python3-hacking (>= 1.1.0),
- python3-openstackdocstheme (>= 1.18.1),
- python3-oslotest (>= 1:3.2.0),
- python3-reno (>= 2.5.0),
- python3-requests-mock (>= 1.2.0),
- python3-six (>= 1.10.0),
- python3-stestr (>= 2.0.0),
- python3-testscenarios (>= 0.4),
- python3-subunit (>= 1.0.0),
-Standards-Version: 4.1.4
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-service-types
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-service-types
+ python3-coverage,
+ python3-keystoneauth1,
+ python3-openstackdocstheme,
+ python3-oslotest,
+ python3-requests-mock,
+ python3-stestr,
+ python3-testscenarios,
+ subunit,
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-service-types
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-service-types.git
 Homepage: http://www.openstack.org/
-Testsuite: autopkgtest-pkg-python
 
 Package: python-os-service-types-doc
 Section: doc
@@ -54,7 +49,7 @@
 Package: python3-os-service-types
 Architecture: all
 Depends:
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-service-types.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build
	find . -type d -name __pycache__ -exec rm -r {} \+

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/python-os-service-types-doc/usr/share/doc/python-os-service-types-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/os-service-types/os-service-types-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-os-service-types 1.8.2

=== debian/changelog ===
python-os-service-types (1.8.2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 15:06:22 +0100

python-os-service-types (1.8.0-4) unstable; urgency=medium

  * Better clean (Closes: #1045618).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 10:55:30 +0100

python-os-service-types (1.8.0-3) unstable; urgency=medium

  * Fixed d/watch (Closes: #1109464).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Nov 2025 18:03:38 +0100

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  python3-requests-mock,
  python3-stestr,
  python3-testscenarios,
+ python3-typing-extensions,
  subunit,
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-service-types
@@ -50,6 +51,7 @@
 Architecture: all
 Depends:
  python3-pbr,
+ python3-typing-extensions,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .pybuild *egg-info
 	find . -type d -name __pycache__ -exec rm -r {} \+
 
 override_dh_auto_build:
